Update Customer User By ID
curl --request PATCH \
--url https://api.joinworth.com/auth/api/v1/customers/{customerID}/users/{userID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"mobile": "<string>",
"subrole": {
"id": "<string>",
"code": "<string>",
"label": "<string>"
}
}
'import requests
url = "https://api.joinworth.com/auth/api/v1/customers/{customerID}/users/{userID}"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"mobile": "<string>",
"subrole": {
"id": "<string>",
"code": "<string>",
"label": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email: 'jsmith@example.com',
mobile: '<string>',
subrole: {id: '<string>', code: '<string>', label: '<string>'}
})
};
fetch('https://api.joinworth.com/auth/api/v1/customers/{customerID}/users/{userID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "User details updated successfully"
}{
"message": "Error occurred",
"errorCode": "ERR_INTERNAL_SERVER"
}{
"message": "Unauthorized",
"errorCode": "ERR_UNAUTHORIZED"
}{
"message": "Forbidden",
"errorCode": "ERR_FORBIDDEN"
}{
"status": "fail",
"message": "Customer user does not exist",
"errorCode": "INVALID",
"data": {
"errorName": "CustomersApiError"
}
}{
"message": "Internal Server Error",
"errorCode": "ERR_INTERNAL_SERVER"
}Customer Users
Update Customer User By ID
Update user details for a specific customer.
PATCH
/
customers
/
{customerID}
/
users
/
{userID}
Update Customer User By ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I